Applicable Model

This information is for the following models:

  • PDW-F75

CAUTION: When upgrading PDBK-101 to V1.81, upgrade the PACKAGE version of PDW-F75/75MD/F70/F30/70MD to V1.93 and higher. Now compatible with Microsoft Windows Vista.